<?

define("APPSETTINGS_FILENAME", "./settings/applicationSettings.xml.php");
define("REMOTESETTINGS_FILENAME", $remote_config_url);

// Used to pull the app settings.
$xmlConfig = new XML(APPSETTINGS_FILENAME);
// Used to pull the app settings that are remote.
$xmlConfigRemote = new XML(REMOTESETTINGS_FILENAME);


$main_host = $xmlConfig->nodes["/applicationSettings[1]/main_host[1]"]["text"];
$help_server = $xmlConfigRemote->nodes["/applicationSettings[1]/help_server[1]"]["text"];
$template_server = $xmlConfigRemote->nodes["/applicationSettings[1]/template_server[1]"]["text"];
$template_server_for_web = $xmlConfigRemote->nodes["/applicationSettings[1]/template_server_for_web[1]"]["text"];
$applicationDirectory = $xmlConfig->nodes["/applicationSettings[1]/applicationDirectory[1]"]["text"];




// an array for looping through the steps.
$steps = array("authentication", "step0", "step1", "step2", "step4", "step5", "step3", "step6", "step7", "step8");

// This variable is used for defining the next action for each page
// For example for step2.php the hidden field action should have a value of step4

$config_action["authentication"] = "authentication";
$config_action["step0"] = "step0";
$config_action["step1"] = "step1";
$config_action["step2"] = "step2";
$config_action["step4"] = "step4";
$config_action["step5"] = "step5";
$config_action["step3"] = "step3";
$config_action["step6"] = "step6";
$config_action["step7"] = "step7";
$config_action["step8"] = "step8";

// The array below gives the data with regard to the fields on each page.
// This is useful for previous/next buttons. Essentially if that field exists on a page, then it shouldn't be
// redefined as hidden
$config_fields["authentication"][] = "username";
$config_fields["authentication"][] = "password";


$config_fields["step0"][] = "general";

$config_fields["step1"][] = "keywords";

$config_fields["step2"][] = "selCategory";
$config_fields["step2"][] = "selTemplate";

$config_fields["step3"][] = "indexFilename";
$config_fields["step3"][] = "indexText";
$config_fields["step3"][] = "baseDir";
$config_fields["step3"][] = "baseDirText";
$config_fields["step3"][] = "relatedDirs";

$config_fields["step4"][] = "siteTitle";
$config_fields["step4"][] = "promoUrl";
$config_fields["step4"][] = "keywordText";
$config_fields["step4"][] = "metaDesc";
$config_fields["step4"][] = "metaKws";
$config_fields["step4"][] = "displayResults";
$config_fields["step4"][] = "externalLinks";
$config_fields["step4"][] = "openLinks";
$config_fields["step4"][] = "relatedSitesCount";
$config_fields["step4"][] = "customerEmail";

$config_fields["step5"][] = "addPopUp";
$config_fields["step5"][] = "popUpUrl";
$config_fields["step5"][] = "popUpType";
$config_fields["step5"][] = "googleOn";
$config_fields["step5"][] = "googleCode";
$config_fields["step5"][] = "ppcOn";
$config_fields["step5"][] = "ppcSearchFeed";
$config_fields["step5"][] = "ppcRevPilot";
$config_fields["step5"][] = "rssOn";
$config_fields["step5"][] = "rssFeed";
$config_fields["step5"][] = "rssCustomUrl";
$config_fields["step5"][] = "rssLinkCount";
$config_fields["step5"][] = "ppcLinksPerPage";
$config_fields["step5"][] = "extraHtmlOn";
$config_fields["step5"][] = "extraHtmlCode";
$config_fields["step5"][] = "revPilotId";
$config_fields["step5"][] = "searchFeedId";
$config_fields["step5"][] = "searchFeedTrackId";

$config_fields["step6"][] = "backColor";
$config_fields["step6"][] = "accentColor";
$config_fields["step6"][] = "searchGoogle";
$config_fields["step6"][] = "searchMsn";
$config_fields["step6"][] = "searchAskJeeves";
$config_fields["step6"][] = "searchLookSmart";
$config_fields["step6"][] = "searchDmoz";
$config_fields["step6"][] = "searchYahoo";
$config_fields["step6"][] = "searchSearchAlot";
$config_fields["step6"][] = "searchEarthlink";
$config_fields["step6"][] = "searchMamma";
$config_fields["step6"][] = "searchDogPile";
$config_fields["step6"][] = "searchAol";
$config_fields["step6"][] = "searchIWon";
$config_fields["step6"][] = "searchSearchre";
$config_fields["step6"][] = "searchOverture";
$config_fields["step6"][] = "headerImageUrl";
$config_fields["step6"][] = "keywordImageUrl";
$config_fields["step6"][] = "footerImageUrl";

$config_fields["step7"][] = "indexPageContent";
$config_fields["step7"][] = "keywordsPageContent";
$config_fields["step7"][] = "sessionName";
$config_fields["step7"][] = "saveSettings";
$config_fields["step7"][] = "saveType";

$config_fields["step8"][] = "general";


// The array below gives the various inbuilt rss sources
// $config_rss_sources is used to display the dropdown in stage 4

for ($i=1; is_array($xmlConfigRemote->nodes["/applicationSettings[1]/config_rss_urls[1]/url[" . $i . "]"]) ; $i++) {

		$config_rss_sources[$xmlConfigRemote->nodes["/applicationSettings[1]/config_rss_urls[1]/url[" . $i . "]"]["attributes"]["title"]] = $xmlConfigRemote->nodes["/applicationSettings[1]/config_rss_urls[1]/url[" . $i . "]"]["text"];

}


## SOME OPTIONS

$perindex = 50;
$demo = "off";
$parentPage = "hurricane.php";